#include <bits/stdc++.h>

using namespace std;

int fja(int a[], int k, int n){
    if(k == 0){
        long long zbir = 0;
        for(int i = 0; i < n; i++){
            zbir += a[i];
        }
        return zbir % 1000000007;
    }
    else{
        long long ukupno = 0;
        for(int i = 0; i < n; i++){
            for(int j = i; j < n; j++){
                ukupno += fja(a + i, k - 1, j - i + 1);
            }
        }
        return ukupno % 1000000007;
    }
}

int main()
{
    int n, k;
    cin >> n >> k;
    int a[n];
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    cout << fja(a, k, n);
}